Subject: bug#32000: 26.1; Behavior of buffer-offer-save not lining up with documentation

From: Brad Lindsay <[email-masked]>
Date: Thu, 28 Jun 2018 17:41:13 -0700

On June 28, 2018 at 6:33:38 PM, Noam Postavsky ([email-masked]) wrote:
> Brad Lindsay writes:
>
> > I am trying to create a function that creates a new empty buffer that
> > prompts you to save it when you kill it. Reading through the
> > documentation, it looks like I need to set “buffer-offer-save” to a
> > non-nil value since the new buffer is not a file-visiting buffer. I
> > have tried doing that, and verifying that the variable isn’t set and
> > that the new buffer isn’t empty, but when I close (kill) the buffer, I
> > don’t get a prompt.
>
> buffer-offer-save is for killing Emacs or save-some-buffers, to catch
> buffer killing use kill-buffer-query-functions. We could probably make
> the docs a bit more explicit about this.
>
> Or maybe we should enhance buffer-offer-save to cover the buffer killing
> case too, it seems a bit silly to require setting both.
>

I was successfully able to implement a kill-buffer-query-functions
hook. Thanks for that pointer. I think it would be good to enhance
buffer-offer-save to cover killing a buffer for any reason.

Thanks,
Brad